This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1459480 - [RFE] list of all/expired leases using omshell or another tool for dhcpd
[RFE] list of all/expired leases using omshell or another tool for dhcpd
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: dhcp (Show other bugs)
7.4
All Linux
low Severity low
: rc
: 7.5
Assigned To: Pavel Zhukov
Release Test Team
: FutureFeature
Depends On:
Blocks: 1420851 1465928
  Show dependency treegraph
 
Reported: 2017-06-07 05:20 EDT by dbodnarc
Modified: 2017-09-20 08:48 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-09-20 08:48:27 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description dbodnarc 2017-06-07 05:20:59 EDT
Description of problem:
missing of omshel feature or tool for checking list of all/expired leases for dhcpd

Version-Release number of selected component (if applicable):
dhcp-4.2.5-36.el7.x86_64

How reproducible:
When the dhcpd.leases file is populated with expired leases and unexpired leases it is difficult to read unless you make proper filtering. 

Customer asks for some form of command to give back all/expired leases without necessarily parsing of "/var/lib/dhcpd/dhcpd.leases" and /etc/dhpc/dhcpd.conf files
Comment 12 Pavel Zhukov 2017-09-20 08:48:27 EDT
(In reply to dbodnarc from comment #0)
> Description of problem:
> missing of omshel feature or tool for checking list of all/expired leases
> for dhcpd
> 
> Version-Release number of selected component (if applicable):
> dhcp-4.2.5-36.el7.x86_64
> 
> How reproducible:
> When the dhcpd.leases file is populated with expired leases and unexpired
> leases it is difficult to read unless you make proper filtering. 
> 
> Customer asks for some form of command to give back all/expired leases
> without necessarily parsing of "/var/lib/dhcpd/dhcpd.leases" and
> /etc/dhpc/dhcpd.conf files

Parsing of leases file is recommended as it's the only source of truth in case of daemon restarts. Manual lease expiration on server side is dangerous as it may cause ip addresses conflicts. There are the way how to release lease using omshell or send DHCPRELEASE message on behalf of client but it's dangerous and unsupported.

Upstream ships script for leases parsing called list-leases.pl but it's shipped "as is" (in contrib directory i.e. without support/maintenance commitment)  and have nothing in common with dhcpd itself. So closing the bug as wontfix.

Note You need to log in before you can comment on or make changes to this bug.